Thread Status:
Not open for further replies.
  1. nabster92

    nabster92 GBAtemp Advanced Maniac
    Member

    Joined:
    Apr 16, 2009
    Messages:
    1,630
    Country:
    United States
    You at least need to have an IOS60 installed first to update straight to 4.1 with Waninkoko's updater so you COULD just use dop-IOS to install the most recent IOS60 and then run the updater. Or you can just run Waninkoko's 4.0 updater first and then his 4.1 updater. (Either way you do it you should have a cIOS installed first.)

    Yes LU64 is the first 4 digits of the serial number of the wii. Generally Wii's with serials of that number or higher are boot2v4 Wii's which CANNOT be downgraded in ANY way aside from IOS15 with the Trucha Bug Restorer. Serial numbers aren't a very good indicator of this anymore however because lower serials can possibly be boot2v4 Wii's and higher ones can possibly NOT be boot2v4 Wii's. The best thing to do is if you bought your Wii anytime this year (in 2009 at all), assume you have an LU64+/boot2v4 regardless of what the serial number is.

    Actually the best thing to do is treat every Wii like an LU64+ Wii because you can still do anything on those Wii's as older Wii's provided you use the right methods aside from being able to install bootmii to boot2 (which you should do if you can, and in that case you for sure wouldn't have an LU64+ type Wii.)
     
  2. memevertical

    memevertical Member
    Newcomer

    Joined:
    Nov 26, 2008
    Messages:
    37
    Country:
    United States
    Thanks everyone for their help, I'm now in 4.1U.

    Now, my question is this, everytime that the Wii is turned on it shows a menu, this are my two questions:

    1.- Can I somehow make it skip this menu, and only access it by pressing some key at startup?

    2.- Can I somehow take advantage of this tool and make it boot straight to a specific channel?

    Thanks
     
  3. rascal69

    rascal69 Newbie
    Newcomer

    Joined:
    Aug 23, 2009
    Messages:
    1
    Country:
    Hi,

    My wii is currently at firmware 3.1E, I have installed the homebrew channel and bootmii as boot 2, I have also backed up my wii's nand.

    I am interested in upgrading my wii to 4.0E via your offline guide. I have downloaded the files required from www.mediafire.com and transfered everything from the sd folder to the root of my sd card as per the guide.

    I don't understand how I perform step 8) (Run Trucha Bug Restorer and choose "IOS36" and pick "Downgrade IOS15" and "Load IOS from sd card" then restart) & 9) (Run Trucha Bug Restorer again and choose "IOS15" then "IOS36 menu" set "IOS to slot 36" and "yes" "yes" "yes" to the 3 options then press "Install patched IOS36" and "Load IOS from sd card") of your guide; as there is no trucha bug restorer file/folder on my sd card. Could someone please explain how to do this and what these steps actually do? Do I actually need to do these steps as I am on version 3.1E which still has the trucha bug exploit as far as I am aware?

    A couple of other things I would like to clarify: 1) After I upgrade I will be unable to launch my backups through the disc channel (I have a d2key chip installed), instead I will require gecko to load them?
    2) Do I need to install preloader as I thought bootmii installed at boot 2 with a nand backup would allow me to recover my wii from any brick state?
    and 3) Will I be able to play wad files (wiiware etc.) from the sd card after this upgrade?

    Thanks.
     
  4. ThaDraGun

    ThaDraGun GBAtemp Fan
    Member

    Joined:
    Jul 15, 2007
    Messages:
    323
    Country:
    Canada
    I thought that might be the reason so tried reset and it just reset everything (cuz it was on wii menu of course) so I didnt think that was working.

    EDIT AGAIN:
    Still, doesnt work for me! Power button does nothing. Reset button just resets the wii.
    Do I have to do this step??

    (Bootmii was installed as an IOS by the way)
     
  5. RandomFool

    RandomFool Newbie
    Newcomer

    Joined:
    Aug 24, 2009
    Messages:
    1
    Country:
    United States
    Umm yeah... on number 11 on the offline one it says "Choose IOS249" but i dont see it... all i see is IOS254... what am i supposed to do here?
     
  6. arapozo

    arapozo GBAtemp Regular
    Member

    Joined:
    May 19, 2008
    Messages:
    149
    Country:
    I was finally able to update to 4.1. Thanks for the guide.

    I do have one problem, when I select the SD icon on the system menu, the Wii freezes when trying to load channels from the SD. Do you know how to solve this?
     
  7. Bytten

    Bytten Newbie
    Newcomer

    Joined:
    Aug 25, 2009
    Messages:
    2
    Country:
    I'd like to offer up a big thank-you for this guide - finally, I was able to downgrade my Wii back to 3.2E.

    Interestingly, I was able to do this all via a wired Ethernet connection, but I did/do have cIOS38 rev14 installed rather than cIOS36 rev10.
     
  8. Deviyl

    Deviyl GBAtemp Fan
    Member

    Joined:
    Oct 2, 2008
    Messages:
    418
    Country:
    United States
    You still have BannerBomb on your SD card.
     
  9. arapozo

    arapozo GBAtemp Regular
    Member

    Joined:
    May 19, 2008
    Messages:
    149
    Country:
    Should I just rename the private folder from BannerBomb and create a new empty one?

    I didn't have a previous private folder on the root of the SD card.
     
  10. Roobitz

    Roobitz Member
    Newcomer

    Joined:
    Jul 27, 2009
    Messages:
    36
    Country:
    Canada
    GREAT GUIDE assassda! This has worked on every Wii I've tried it on so far (4+ now).

    However I have some important updates you could implement.

    1) The hackmii installer has been updated to v 0.3 now.

    2) cIOS36 rev10 has been updated to cIOS38 rev14 and fixes a lot of errors when playing backup isos.

    3) I always have to do step 12 before step 11 or I will get an error when the firmware updater tries to install the new menu. This has happened on EVERY console I've modded so far, and while I can't remember what the error was, I really think you should switch those two steps around.

    4) the NeoGamma loader has been updated to R8beta1 now

    5) Check out USB loader cfg! AWESOME.


    Thanks for all your great work, hopefully you can make some use of these updates.
     
  11. assassda

    OP assassda GBAtemp Regular
    Member

    Joined:
    Jul 31, 2004
    Messages:
    283
    Country:
    United States
    Thank you, I will update the guide tomorow
     
  12. Deniii

    Deniii Advanced Member
    Newcomer

    Joined:
    Aug 6, 2009
    Messages:
    60
    Country:
    United States
    If I follow the "Offline Downgrade/Upgrade" guide but at step 11, I don't install the wad 18 (cIOS60.wad), when I get to step 3 on the guide to load discs from the disc channel, will I get the "System Files Corrupt" message?
     
  13. nabster92

    nabster92 GBAtemp Advanced Maniac
    Member

    Joined:
    Apr 16, 2009
    Messages:
    1,630
    Country:
    United States
    Also if you do update to have it use rev14, you should say to run the cIOS rev14 installer and have it use IOS36 because it prompts for what IOS to use and that's the whole point of using the Trucha Bug Restorer to restore the trucha bug to IOS36.

    And regarding the doing step 12 before step 11, the 4.1 updater gives you an error if you do not have IOS60 installed on your system as I believe it is really meant to be an updater to 4.1 from 4.0. So if you are updating from 4.0 you can do it fine otherwise you would need to install IOS60 first (which is why doing step 12 first works). What you could also do is have them run the 4.0 updater first and then the 4.1 updater then still run dop IOS on IOS60 afterwards. Doing dop-IOS first and then running the updater should also work as well though.

    The backup loader threads you link to are good enough as is. Neogamma R8 is as he said a beta, and I believe it was basically only meant to test out the geckoOS cheat system to be able to load codesets for brawl+/balanced brawl through usb loading. But it wasn't implemented properly so it doesn't work anyways so the thread you linked to has R7 which is good enough now anyways. When R8 is stable WiiPower will probably update that thread anyways so no point in changing that.

    And USB loaders are basically just preference, if anyone wants to use a different one they can find whatever one they want to themselves in the backup loader forum.

    And as a last note, I do suggest that you remove the IOS and cIOS downgrader steps. They really aren't necessary and are actually the only things holding this guide back from working on any Wii right now.
     
  14. TheAnswer1313

    TheAnswer1313 Member
    Newcomer

    Joined:
    Dec 9, 2008
    Messages:
    17
    Country:
    United States
    Stupid question....

    I followed all the steps and everything works just great.

    I installed neogamma (running it in HBC)

    Everytime I boot up with the SD card, it goes immediately to BootMii and then Preloader.......................is this necessary steps each time I turn my Wii on or am I able to disable them?

    Thanks
     
  15. neardark

    neardark GBAtemp Regular
    Member

    Joined:
    Jun 18, 2009
    Messages:
    278
    Country:
    First of all create a temp bootmii folder on your sd and move the bootmii folder in to it, that should stop bootmii from booting, if you ever need to use bootmii again just copy it back to the root.

    as for preloader goto settings and change the Auto boot option to systemmenu, it will now boot straight to your wii, if you have any problems PM me.
     
  16. TheAnswer1313

    TheAnswer1313 Member
    Newcomer

    Joined:
    Dec 9, 2008
    Messages:
    17
    Country:
    United States
    Thanks it worked [​IMG]
     
  17. w00dy

    w00dy Newbie
    Newcomer

    Joined:
    Dec 30, 2003
    Messages:
    5
    Country:
    Belgium
    i'm stuck at the downgrade of ios15 [​IMG]
    so far i think my wii isn't a lh64+, the serienumber begins with LEH191764xxx and the model type is rvl001
    anny help?

    EDIT:
    Managed to get the downgrade, up next step, install patched ios36 :-) GREAT!

    Then i have to run cIOS36_rev10-Installer but to i get this message:
    Code:
    [+] Patching Custom IOS, please wait...
    >> Extracting content #00... ERROR! (ret = -1017)
     
  18. Pumpkin King

    Pumpkin King Newbie
    Newcomer

    Joined:
    Sep 2, 2009
    Messages:
    2
    Country:
    United States
    That's weird.

    I did everything that the online guide said, but my system menu is 3.2u and not 4.1u...

    I do remember seeing an error near the end of the 4.1 firmware updater though. But the updater said it was finished, so I disregarded it and continued on with the last step. I don't know if I should try to run the updater again or not because I don't want to brick my wii...

    What should I do?
     
  19. nabster92

    nabster92 GBAtemp Advanced Maniac
    Member

    Joined:
    Apr 16, 2009
    Messages:
    1,630
    Country:
    United States
    It most likely failed. The way this guide is set up currently, upgrading Wii's from anything below 4.0 will not work at that step because the 4.1 updater should give an error if you do not have an IOS60 installed beforehand.

    You can either do the next step of installing the IOS60 with dop-IOS and then run the 4.1 updater, or you can run Waninkoko's 4.0 updater first and then run the 4.1 updater after that.
     
  20. Pumpkin King

    Pumpkin King Newbie
    Newcomer

    Joined:
    Sep 2, 2009
    Messages:
    2
    Country:
    United States
    Ok. I did the updater again and it worked.

    Now my only problem is with the preloader. It says something like it can't find the hacks.ini file...
     
Loading...

Hide similar threads Similar threads with keywords - ULTIMATE, System, Guide

Thread Status:
Not open for further replies.